# Products

## Listando todos os produtos

## Listar todos

<mark style="color:blue;">`GET`</mark> `https://api.celetus.com/api/product`

Listar todas os produtos da conta

#### Query Parameters

| Name                                          | Type | Description                                      |
| --------------------------------------------- | ---- | ------------------------------------------------ |
| rowsPerPage<mark style="color:red;">\*</mark> | int  | <p>Quantidade de registros por pagina</p><p></p> |
| pageNumber<mark style="color:red;">\*</mark>  | int  | Numero da pagina                                 |

{% tabs %}
{% tab title="200 successfully" %}

```javascript
{
  "items": [
    {
      "quantity": 0,
      "unitaryValue": 0,
      "name": "string",
      "id": "string"
    }
  ],
  "page": 0,
  "total": 0,
  "rowsPerPage": 0,
  "totalPages": 0,
  "info": "string",
  "hasBackPage": true,
  "hasNextPage": true,
  "isLastPage": true
}
```

{% endtab %}

{% tab title="401 Erro na chave de acesso" %}

{% endtab %}

{% tab title="404: Not Found Não encontrado" %}

{% endtab %}
{% endtabs %}

## Buscando um produto por código

## Buscar produto por Id

<mark style="color:blue;">`GET`</mark> `https://api.celetus.com/api/product/{id}`

Burca produto por id do produto

{% tabs %}
{% tab title="200 successfully" %}

```javascript
{
  "quantity": 0,
  "unitaryValue": 0,
  "name": "string",
  "id": "string"
}
```

{% endtab %}

{% tab title="401 Erro na chave de acesso" %}

{% endtab %}

{% tab title="404: Not Found Não encontrado" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.celetus.com/reference/api-reference/products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
